=== addons/benchmark/CMakeLists.txt ===
PROJECT (RBDL_ADDON_BENCHMARK)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

LIST( APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake )

INCLUDE_DIRECTORIES ( 
	${CMAKE_CURRENT_BINARY_DIR}/include/rbdl
)

SET_TARGET_PROPERTIES ( ${PROJECT_EXECUTABLES} PROPERTIES
		LINKER_LANGUAGE CXX
	)

# Perform the proper linking
SET (CMAKE_SKIP_BUILD_RPATH FALSE)
SET (CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Options
SET ( BENCHMARK_SOURCES 
	model_generator.cc
	Human36Model.cc
	benchmark.cc
	)

ADD_EXECUTABLE ( benchmark ${BENCHMARK_SOURCES} )

IF (BUILD_ADDON_LUAMODEL) 
	TARGET_LINK_LIBRARIES ( benchmark
		rbdl
		rbdl_luamodel
		)
ELSE (BUILD_ADDON_LUAMODEL) 
	TARGET_LINK_LIBRARIES ( benchmark
		rbdl
		)
ENDIF (BUILD_ADDON_LUAMODEL)
