=== addons/luamodel/CMakeLists.txt ===
PROJECT (RBDL_ADDON_LUAMODEL)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

LIST( APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake )

INCLUDE(GNUInstallDirs)

SET (PROJECT_VERSION 2.3.1)

INCLUDE_DIRECTORIES ( 
	${CMAKE_CURRENT_BINARY_DIR}/include/rbdl
	${CMAKE_CURRENT_SOURCE_DIR}/luatables
)

SET_TARGET_PROPERTIES ( ${PROJECT_EXECUTABLES} PROPERTIES
		LINKER_LANGUAGE CXX
	)

# Look for Lua
FIND_PACKAGE (Lua51 REQUIRED)
INCLUDE_DIRECTORIES (${LUA_INCLUDE_DIR})

# Options
SET ( LUAMODEL_SOURCES 
	luamodel.cc
	luatables.cc
	)

ADD_LIBRARY ( rbdl_luamodel SHARED ${LUAMODEL_SOURCES} )
SET_TARGET_PROPERTIES ( rbdl_luamodel PROPERTIES
  VERSION ${PROJECT_VERSION}
  SOVERSION 2.3
  )

IF (BUILD_STATIC)
	ADD_LIBRARY ( rbdl_luamodel-static STATIC ${LUAMODEL_SOURCES} )
	SET_TARGET_PROPERTIES ( rbdl_luamodel-static PROPERTIES PREFIX "lib")
	SET_TARGET_PROPERTIES ( rbdl_luamodel-static PROPERTIES OUTPUT_NAME "rbdl_luamodel")

	TARGET_LINK_LIBRARIES (rbdl_luamodel-static
		rbdl
		${LUA_LIBRARIES}
	)

	INSTALL (TARGETS rbdl_luamodel-static
	  LIBRARY DESTINATION lib
  	ARCHIVE DESTINATION lib
	)
ENDIF (BUILD_STATIC)

ADD_EXECUTABLE (rbdl_luamodel_util rbdl_luamodel_util.cc)

TARGET_LINK_LIBRARIES (rbdl_luamodel
	rbdl
	${LUA_LIBRARIES}
	)

TARGET_LINK_LIBRARIES (rbdl_luamodel_util
	rbdl_luamodel
	rbdl
	)

# Installing
INSTALL (TARGETS rbdl_luamodel_util rbdl_luamodel 
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	)

FILE ( GLOB headers 
	"${CMAKE_CURRENT_SOURCE_DIR}/*.h"
	)

INSTALL ( FILES ${headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rbdl/addons/luamodel )
