=== addons/urdfreader/CMakeLists.txt ===
PROJECT (RBDL_ADDON_URDFREADER)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

LIST( APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake )

INCLUDE ( CMake/pkg-config.cmake)

# Find urdfdom
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(URDFDOM REQUIRED urdfdom>=0.2.9)
PKG_CHECK_MODULES(URDFDOM_HEADERS REQUIRED urdfdom_headers>=0.2.3)

INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}/include/rbdl
	SYSTEM
	${URDFDOM_INCLUDE_DIRS}
	${URDFDOM_HEADERS_INCLUDE_DIRS}
)

SET_TARGET_PROPERTIES ( ${PROJECT_EXECUTABLES} PROPERTIES
	LINKER_LANGUAGE CXX
)

# Perform the proper linking
SET (CMAKE_SKIP_BUILD_RPATH FALSE)
SET (CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Options
SET ( URDFREADER_SOURCES
	rbdl_urdfreader.cc
	)

ADD_LIBRARY ( rbdl_urdfreader SHARED ${URDFREADER_SOURCES} )

ADD_EXECUTABLE (rbdl_urdfreader_util rbdl_urdfreader_util.cc)


IF (BUILD_STATIC)
	ADD_LIBRARY ( rbdl_urdfreader-static STATIC ${URDFREADER_SOURCES} )

	SET_TARGET_PROPERTIES ( rbdl_urdfreader-static PROPERTIES PREFIX "lib")
	SET_TARGET_PROPERTIES ( rbdl_urdfreader-static PROPERTIES OUTPUT_NAME "rbdl_urdfreader")

	INSTALL (TARGETS rbdl_urdfreader-static
	  LIBRARY DESTINATION lib
  	ARCHIVE DESTINATION lib
	)
ENDIF (BUILD_STATIC)

TARGET_LINK_LIBRARIES (rbdl_urdfreader
	rbdl
	${URDFDOM_LIBRARIES}
	)

TARGET_LINK_LIBRARIES (rbdl_urdfreader_util
	rbdl_urdfreader
	)

# Installing
INSTALL (TARGETS rbdl_urdfreader
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	)

FILE ( GLOB headers
	"${CMAKE_CURRENT_SOURCE_DIR}/*.h"
	)

INSTALL ( FILES ${headers} DESTINATION include/rbdl/addons/urdfreader )
