=== debian/changelog ===
ros-indigo-rbdl (2.3.1-5trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Isura Ranatunga <isura@ieee.org>  Fri, 15 Aug 2014 17:43:09 -0000
