=== debian/control ===
Source: ros-indigo-rbdl
Section: misc
Priority: extra
Maintainer: Isura Ranatunga <isura@ieee.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libeigen3-dev
Homepage: https://bitbucket.org/rbdl/rbdl
Standards-Version: 3.9.2

Package: ros-indigo-rbdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-catkin
Description: The Rigid Body Dynamics Library from http://rbdl.bitbucket.org
